@external gwt-*;
@external wp-*;
@external gwt-TabLayoutPanelTab-selected;
@external blockquote;
@url classIconUrl svgClassIcon;
@url datatypeIconUrl svgDatatypeIcon;
@url propertyIconUrl svgPropertyIcon;
@url objectPropertyIconUrl svgObjectPropertyIcon;
@url dataPropertyIconUrl svgDataPropertyIcon;
@url annotationPropertyIconUrl svgAnnotationPropertyIcon;
@url individualIconUrl svgIndividualIcon;
@url linkIconUrl svgLinkIcon;
@url iriIconUrl svgIriIcon;
@url wikipediaIcon svgWikipediaIcon;
@url literalIconUrl svgLiteralIcon;
@url numberIconUrl svgNumberIcon;
@url commentIconUrl svgCommentSmallFilledIcon;
@url eyeIconUrl eyeIcon;
@url datetimeIconUrl dateTimeIcon;
@url homeIconUrl homeIcon;
@url helpIconUrl svgHelpIcon;

.gwt-TabLayoutPanelTab {
    background-color: #c0c0c0;
    padding: 5px;
    margin: 3px;
}

.gwt-TabLayoutPanelTab-selected {
    background-color: #707070;
    color: white !important;
}

.wp-form {
    padding: 10px;
    box-sizing: border-box;
}

.wp-form [derived-property-value] {
    background-color: burlywood;
}

.wp-form [disabled] {
    /*background-color: #ffffff !important;*/
}

.wp-form input:disabled {
    color: literal("var(--primary--color)");
    opacity: 1;
    -webkit-text-fill-color: literal("var(--primary--color)");
}

.wp-form input:read-only {
    color: literal("var(--primary--color)");
    opacity: 1;
    -webkit-text-fill-color: literal("var(--primary--color)");
}

.wp-form textarea:disabled {
    color: literal("var(--primary--color)");
    opacity: 1;
    -webkit-text-fill-color: literal("var(--primary--color)");
}

.wp-form textarea:read-only {
    color: literal("var(--primary--color)");
    opacity: 1;
    -webkit-text-fill-color: literal("var(--primary--color)");
}

.wp-form-group {
    margin-bottom: 1.2rem;
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

.wp-form-group--narrow {
    max-width: 300px;
}

.wp-form-group__row {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    flex-wrap: wrap;
    box-sizing: border-box;
}

.wp-form-group__row > .wp-form-group {
    margin-right: 2em;
}

.wp-form-group--multi-col {
    margin-right: 1.2rem;
    align-items: start;
    min-width: 140px;
    width: auto;
    flex-grow: 0;
    flex-shrink: 0;
}
.wp-form-group--single-col {
    flex-grow: 1;
    flex-shrink: 1;
    align-items: stretch;
}

.wp-form-stretch {
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

.wp-form-label {
    font-weight: bold;
    padding-bottom: 5px;
    font-size: 14px;
    white-space: nowrap;
}

.wp-form-label--error {
    color: #ff0000;
}

.wp-form-editor {

}

.wp-form-editor--error {
    border-bottom: 1px solid #ff0000;
}

.wp-form-checkbox {
    padding-left: 0.5rem;
    margin-top: 0.3rem;
}

.wp-form-checkbox input {

}

.wp-form-checkbox label {
    padding-left: 0.3rem;
}

.wp-form-help-text {
    font-size: 11px;
    color: literal("var(--secondary--color)");
    font-weight: 400;
    padding-left: 0.25rem;
    padding-top: 0.25rem;
    margin-right: 1rem;
    line-height: 1.2;
}

.wp-form-help-text--checkbox-indented {
    margin-left: 20px;
}

.warningLabel {
    color: literal("var(--warning--color)");
    border: solid 1px literal("var(--warning--border-color)");
    background-color: literal("var(--warning--background-color)");
    width: auto;
    height: auto;
    vertical-align: top;
    padding: 4px 4px 4px 4px;
    font-size: 10px;
}

.classIconInset {
    background-image: classIconUrl;
    background-repeat: no-repeat;
    background-position: 2px 1px;
    padding-left: 22px;
    width: auto;
    height: auto;
}

.objectPropertyIconInset {
    background-image: objectPropertyIconUrl;
    background-repeat: no-repeat;
    background-position: 2px 1px;
    padding-left: 22px;
    width: auto;
    height: auto;
}

.dataPropertyIconInset {
    background-image: dataPropertyIconUrl;
    background-repeat: no-repeat;
    background-position: 2px 1px;
    padding-left: 22px;
    width: auto;
    height: auto;
}

.annotationPropertyIconInset {
    background-image: annotationPropertyIconUrl;
    background-repeat: no-repeat;
    background-position: 2px 1px;
    padding-left: 22px;
    width: auto;
    height: auto;
}

.datatypeIconInset {
    background-image: datatypeIconUrl;
    background-repeat: no-repeat;
    background-position: 2px 2px;
    padding-left: 22px;
    width: auto;
    height: auto;
}

.commentIconInset {
    background-image: commentIconUrl;
    background-repeat: no-repeat;
    background-position: 0 0;
    padding-left: 22px;
    width: auto;
    height: auto;
}

.literalIconInset {
    background-image: literalIconUrl;
    background-repeat: no-repeat;
    background-position: 2px 2px;
    padding-left: 22px;
    width: auto;
    height: auto;
}

.individualIconInset {
    background-image: individualIconUrl;
    background-repeat: no-repeat;
    background-position: 2px 1px;
    padding-left: 22px;
    width: auto;
    height: auto;
}

.emptyIconInset {
    padding-left: 22px;
}


.linkIconInset {
    background-image: linkIconUrl;
    background-repeat: no-repeat;
    background-position: 2px 2px;
    width: auto;
    height: auto;
}
.iriIconInset {
    background-image: iriIconUrl;
    background-repeat: no-repeat;
    background-position: 2px 2px;
    width: auto;
    height: auto;
}

.wikipediaIconInset {
    background-image: wikipediaIcon;
    background-repeat: no-repeat;
    background-position: 2px 1px;
    background-size: 18px;
    width: auto;
    height: auto;
}

.numberIconInset {
    background-image: numberIconUrl;
    background-repeat: no-repeat;
    background-position: 2px 1px;
    padding-left: 22px;
    width: auto;
    height: auto;
}

.dateTimeIconInset {
    background-image: dateTimeIconUrl;
    background-repeat: no-repeat;
    background-position: 2px 1px;
    width: auto;
    height: auto;
}

.inTrash {
    color: #c0c0c0;
}

.derivedInformation {
    background-color: #fffaf4;
}

.focusBorder {
    border: 1px solid #0A5EA8;
}

.noFocusBorder {
    border: 1px solid transparent;
}

.errorBorder {
    outline: 2px #ff0000 !important;
}

.errorBorderColor {
    outline-color: #ff0000 !important;
}

.noErrorBorder {
    outline: 2px dashed transparent;
}

.selection {
    background-color: literal("var(--selected-item--background-color)") !important;
    color: literal("var(--selected-item--color)") !important;
}

.noSelection {
    background-color: inherit;
}
.noSelection:hover {
    background-color: literal("var(--item--hover--background-color)");
}

.errorLabel {
    color: red;
}

.wp-panel-filled {
    background-color: literal("var(--inlay-panel--background-color)");
}

.wp-panel-filled--border {
    border: literal("var(--inlay-panel--border)");
}

.wp-panel-filled .gwt-TextBox {
    border: literal("var(--inlay-panel--border)");
    background-color: literal("var(--primary--background-color)");
}

.wp-panel-filled .gwt-PasswordTextBox {
    border: literal("var(--inlay-panel--border)");
    background-color: literal("var(--primary--background-color)");
}

.wp-panel-filled .gwt-TextArea {
    border: literal("var(--inlay-panel--border)");
    background-color: literal("var(--primary--background-color)");
}

.wp-panel-filled .gwt-SuggestBox {
    border: literal("var(--inlay-panel--border)");
    background-color: literal("var(--primary--background-color)");
}

.wp-panel-neutral {
}

.wp-panel-neutral .gwt-TextBox {
    border-color: transparent;
}

.wp-panel-neutral .gwt-PasswordTextBox {
    border-color: transparent;
}

.wp-panel-neutral .gwt-TextArea {
    border-color: transparent;
}

.wp-panel-neutral .gwt-SuggestBox {
    border-color: transparent;
}

.wp-table-header {
    font-weight: bold;
    font-size: 16px;
}

.wp-form-input-group {
    display: flex;
    flex-direction: row;
}

.wp-form-before-input {
    flex-grow: 0;
    flex-shrink: 0;
    margin-right: -1px;
}

.wp-form-after-input {
    flex-grow: 0;
    flex-shrink: 0;
    margin-left: -1px;
}

.wp-form-after-input > .wp-btn--input {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.wp-form-before-input > .wp-btn--input {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.wp-form_section-checkbox {
    margin-top: 5px;
    margin-bottom: 7px;
}

.wp-form__horizontal-radio-button-group {
    display: flex;
    flex-direction: row;
    flex-grow: 0;
    flex-shrink: 0;
    padding-bottom: 5px;
}

.wp-form__horizontal-radio-button-group > span+span {
    margin-left: 15px;
}

.home-icon {
    mask: homeIconUrl no-repeat;
    -webkit-mask: homeIconUrl no-repeat;
    background-color: literal("var(--primary--color)");
    width: 16px;
    height: 15px;
}

.wp-comment-small-filled-icon {
    mask: commentIconUrl no-repeat;
    -webkit-mask: commentIconUrl no-repeat;
    background-color: literal("var(--primary--color)");
    width: 16px;
    height: 16px;
}

.wp-form__text-block {
    margin-bottom: 1.2rem;
}

.wp-form__iri-field {
    -ms-user-select: text;
    user-select: text;
    -moz-user-select: text;
    -webkit-user-select: text;
}

.wp-form__grid {
}

.wp-form__grid__column {
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: 0;
    min-width: 0;
}

.wp-form__grid__column:first-child {
    padding-left: 5px;
}

.wp-form__grid__column .wp-form__grid__column:first-child {
    border-left: none;
}

.wp-form__grid__row {

}

.wp-form__grid__cell {
    padding: 1px;
}

.wp-form__grid__header-row {
    background-color: literal("var(--grid-header--background-color)");
    font-weight: bold;
    padding-top: 0.3em;
    padding-bottom: 0.3em;
    border-radius: 3px;
    color: literal("var(--grid-header--color)");
    position: relative;
    min-height: 1rem;
}

.wp-form__grid__header-row .wp-form__grid__header-row {
    padding: 0;
    border: none;
}

.wp-form__grid__row {
}

.wp-form__grid__row + .wp-form__grid__row {
    border-top: 1px solid literal("var(--separator--color)");
}


.wp-help-icon {
    mask-size: contain;
    -webkit-mask-size: contain;
    mask-image: helpIconUrl;
    -webkit-mask-image: helpIconUrl;
    background-color: literal("var(--secondary--color)");
}

.wp-help-icon:hover {
    background-color: literal("var(--primary--color)");
}

.wp-form__form-tab-bar {
    display: flex;
    flex-direction: row;
    padding-top: 2px;
    padding-bottom: 2px;
    align-items: stretch;
    flex-wrap: wrap;
}

.wp-form__form-tab-bar__tab {
    padding: 0.4em;
    font-weight: bold;
    cursor: pointer;
    border-radius: 0.4em;
    background-color: literal("var(--tab--background-color)");
}

.wp-form__form-tab-bar > div {
    margin-right: 2px;
    margin-bottom: 2px;
}

.wp-form__form-tab-bar__tab--selected {
    color: literal("var(--selected-item--color)");
    background-color: literal("var(--selected-item--background-color)");
}

.wp-form__control-stack--horizontal {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: baseline;
}

.wp-form__control-stack--vertical {
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

.wp-form__control-stack__item--delete-hover {
    outline: 2px solid literal("var(--delete--color)");
    outline-offset: -2px;
}

.wp-form__filtered-indication {
    font-size: 12px;
    color: literal("var(--tertiary--color)");
    background-color: #fffae6;
    padding: 4px;
    border-radius: 2px;
}

.wp-form__grid__row--editable {
    margin-top: 1px;
    margin-bottom: 1px;
}